Bug 174867 - Updating from V2B jonas to V2U1 results in a stacktrace
Updating from V2B jonas to V2U1 results in a stacktrace
Status: NEW
Product: Red Hat Application Server
Classification: Retired
Component: jonas (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 18:24 EST by Patrick Smith
Modified: 2008-05-01 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Smith 2005-12-02 18:24:41 EST
Description of problem:
When V2B is updated to V2U1 the following is printed:
2005-12-02 18:23:33,859 : Digester.warning : Parse Warning Error at line 71
column 54: schema_reference.4: Failed to read schema document
'jonas_j2ee_4_4.xsd', because 1) could not find the document; 2) the document
could not be read; 3) the root element of the document is not <xsd:schema>.
org.xml.sax.SAXParseException: schema_reference.4: Failed to read schema
document 'jonas_j2ee_4_4.xsd', because 1) could not find the document; 2) the
document could not be read; 3) the root element of the document is not <xsd:schema>.
        at
org.apache.xerces.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
        at org.apache.xerces.util.ErrorHandlerWrapper.warning(Unknown Source)
        at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.reportSchemaWarning(Unknown Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.getSchemaDocument(Unknown Source)
        at org.apache.xerces.impl.xs.traversers.XSDHandler.resolveSchema(Unknown
Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.constructTrees(Unknown Source)
        at org.apache.xerces.impl.xs.traversers.XSDHandler.parseSchema(Unknown
Source)
        at org.apache.xerces.impl.xs.XMLSchemaLoader.loadSchema(Unknown Source)
        at
org.apache.xerces.impl.xs.XMLSchemaValidator.findSchemaGrammar(Unknown Source)
        at
org.apache.xerces.impl.xs.XMLSchemaValidator.handleStartElement(Unknown Source)
        at org.apache.xerces.impl.xs.XMLSchemaValidator.startElement(Unknown Source)
        at
org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at
org.apache.xerces.impl.XMLNSDocumentScannerImpl$NSContentDispatcher.scanRootElementHook(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.commons.digester.Digester.parse(Digester.java:1685)
        at
org.objectweb.jonas_lib.deployment.digester.JDigester.parse(JDigester.java:137)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.loadJonasConnector(RarDeploymentDescManager.java:353)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.getInstance(RarDeploymentDescManager.java:290)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.getInstance(RarDeploymentDescManager.java:140)
        at org.objectweb.jonas_rar.raconfig.RAConfig.<init>(RAConfig.java:111)
        at org.objectweb.jonas_rar.raconfig.RAConfig.buildXML(RAConfig.java:141)
        at org.objectweb.jonas_rar.raconfig.RAConfig.main(RAConfig.java:766)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:60)
        at java.lang.reflect.Method.invoke(Method.java:391)
        at org.objectweb.jonas.server.Bootstrap.main(Bootstrap.java:97)



Version-Release number of selected component (if applicable):
Jonas V2B -> Jonas V2U1

How reproducible:
Always

Steps to Reproduce:
1. Install Jonas packages via the V2B DVD
2. Run up2date to udpate to U1
  
Actual results:
2005-12-02 18:23:33,859 : Digester.warning : Parse Warning Error at line 71
column 54: schema_reference.4: Failed to read schema document
'jonas_j2ee_4_4.xsd', because 1) could not find the document; 2) the document
could not be read; 3) the root element of the document is not <xsd:schema>.
org.xml.sax.SAXParseException: schema_reference.4: Failed to read schema
document 'jonas_j2ee_4_4.xsd', because 1) could not find the document; 2) the
document could not be read; 3) the root element of the document is not <xsd:schema>.
        at
org.apache.xerces.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
        at org.apache.xerces.util.ErrorHandlerWrapper.warning(Unknown Source)
        at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.reportSchemaWarning(Unknown Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.getSchemaDocument(Unknown Source)
        at org.apache.xerces.impl.xs.traversers.XSDHandler.resolveSchema(Unknown
Source)
        at
org.apache.xerces.impl.xs.traversers.XSDHandler.constructTrees(Unknown Source)
        at org.apache.xerces.impl.xs.traversers.XSDHandler.parseSchema(Unknown
Source)
        at org.apache.xerces.impl.xs.XMLSchemaLoader.loadSchema(Unknown Source)
        at
org.apache.xerces.impl.xs.XMLSchemaValidator.findSchemaGrammar(Unknown Source)
        at
org.apache.xerces.impl.xs.XMLSchemaValidator.handleStartElement(Unknown Source)
        at org.apache.xerces.impl.xs.XMLSchemaValidator.startElement(Unknown Source)
        at
org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at
org.apache.xerces.impl.XMLNSDocumentScannerImpl$NSContentDispatcher.scanRootElementHook(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown
Source)
        at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
        at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.commons.digester.Digester.parse(Digester.java:1685)
        at
org.objectweb.jonas_lib.deployment.digester.JDigester.parse(JDigester.java:137)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.loadJonasConnector(RarDeploymentDescManager.java:353)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.getInstance(RarDeploymentDescManager.java:290)
        at
org.objectweb.jonas_rar.deployment.lib.RarDeploymentDescManager.getInstance(RarDeploymentDescManager.java:140)
        at org.objectweb.jonas_rar.raconfig.RAConfig.<init>(RAConfig.java:111)
        at org.objectweb.jonas_rar.raconfig.RAConfig.buildXML(RAConfig.java:141)
        at org.objectweb.jonas_rar.raconfig.RAConfig.main(RAConfig.java:766)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:60)
        at java.lang.reflect.Method.invoke(Method.java:391)
        at org.objectweb.jonas.server.Bootstrap.main(Bootstrap.java:97)


Expected results:
V2B updated to U1
Comment 1 Deepak Bhole 2005-12-02 20:05:07 EST
As an additional note:

I too got this trace duriong V2B->V2U1. However, this trace doesn't *seem* to
affect JOnAS's functionality. I was able to start up jonas, and use olstore
without any problems.
Comment 2 Fernando Nasser 2005-12-04 12:15:55 EST
This si what is in the source tar ball.  I wonder if there was ever a
jonas_j2ee_4_4.xsd:

./src/org/objectweb/jonas_lib/deployment/jonas_j2ee_4_0.xsd
./src/org/objectweb/jonas_lib/deployment/jonas_j2ee_4_1.xsd
./src/org/objectweb/jonas_lib/deployment/jonas_j2ee_4_1_2.xsd
./src/org/objectweb/jonas_lib/deployment/jonas_j2ee_4_1_4.xsd
./src/org/objectweb/jonas_lib/deployment/jonas_j2ee_4_2.xsd

These things are not installed as files anywhere, perhaps they only exist inside
the client.jar (or similar server side jar).

Any chance an older rar was left around?

Note You need to log in before you can comment on or make changes to this bug.